import { jsx as n } from "react/jsx-runtime";
import { useContext as c, createContext as i } from "react";
const t = i(null), s = ({
  children: o,
  formConfig: r,
  parentOnChange: e
}) => n(t.Provider, {
  value: {
    formConfig: r,
    parentOnChange: e
  },
  children: o
}), C = () => c(t);
export {
  s as FormConfigProvider,
  C as useFormConfigContext
};
